#blog .content {
  padding: 64px 0;
  display: flex;
  flex-direction: column;
  gap: 32px;
  align-items: flex-start;
  justify-content: center;
  width: 100%;
}


#blog .content .main {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
}

#blog .content .main .titles {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
}

#blog .content .main .titles strong {
  color: var(--color-primary);
  text-transform: uppercase;
  letter-spacing: 4px;
  font-size: 36px;
}

#blog .content .main .titles p {
  color: var(--color-secondary);
}

#blog .content .main form {
  border: 1px solid var(--border-primary);
  padding: 6px 12px;
  padding-right: 6px;
  border-radius: 6px;
  display: flex;
  align-items: center;
  gap: 6px;
}

#blog .content .main form .input {
  border: transparent;
  font-family: 'Zalando Sans SemiExpanded', sans-serif;
}

#blog .content .main form .input::-webkit-input-placeholder {
  font-family: 'Zalando Sans SemiExpanded', sans-serif;
}

#blog .content .main form button {
  border: none;
  background: var(--color-primary);
  color: white;
  padding: 6px 8px;
  border-radius: 3px;
  display: inline-flex;
  font-size: 16px;
  cursor: pointer;
}

#blog .content .posts {
  display: grid;
  grid-template-columns: repeat(3, 2fr);
  gap: 32px;
  width: 100%;
}

#blog .content .posts .post {
  display: flex;
  flex-direction: column;
  gap: 16px;
  border: 1px solid var(--border-primary);
  padding: 12px;
  border-radius: 16px;
}

#blog .content .posts .post img {
  width: 100%;
  object-fit: cover;
  border-radius: 10px;
}

#blog .content .posts .post .text {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 6px;
}

#blog .content .posts .post .text a {
  text-decoration: none;
  color: var(--color-secondary);
  transition: all 0.2s;
  font-size: 18px;
}

#blog .content .posts .post .text a:hover {
  color: var(--color-primary);
  transition: all 0.2s;
}

#blog .content .posts .post .text a span {
  display: -webkit-box;
  text-overflow: ellipsis;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

#blog .content .posts .post .text p {
  font-size: 14px;
  color: var(--color-secondary);
  display: -webkit-box;
  text-overflow: ellipsis;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

#blog .content .posts .post .text small {
  color: var(--color-secondary);
  font-size: 12px;
}

#blog .content .posts .post .more {
  font-size: 12px;
  text-decoration: none;
  color: var(--color-primary);
  text-align: right;
}

#blog .content .posts .post .more:hover {
  text-decoration: underline;
}

#blog .content .empty strong {
  color: var(--color-secondary);
  font-weight: 400;
  font-size: 18px;
}

.card img {
    height: 200px;
    object-fit: cover;
}

.card {
    transition: 0.3s;
    border-radius: 10px;
}

.card:hover {
    transform: translateY(-5px);
}

h2 {
    font-weight: 700;
}

.badge {
    font-size: 12px;
}

@media (max-width: 728px) {
  #blog .content .posts {
    grid-template-columns: repeat(1, 2fr);
  }
}